Make backwards compatible with 3.6
Sapan Bhatia [Tue, 5 Mar 2013 14:00:56 +0000 (09:00 -0500)]
procprotect.c

index 1ceea46..56910b3 100644 (file)
 #error "This code does not support your architecture"
 #endif
 
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(3,8,0)
 static char *aclpath = "procprotect";
+#else
+static char *aclpath __devinitdata = "procprotect";
+#endif
+
 static struct qstr aclqpath;
 
 module_param(aclpath, charp, 0);